<?php
ini_set('display_errors', '0');
error_reporting(0);
date_default_timezone_set('Europe/London');
$hours="-8";
$in="RLCScoreboard.csv";
$out="RLC_Time.csv";
$otherCols=array(
    'MTD License Goal'=>9,
    'MTD Recruits Goal'=>15,
    'Daily License Goal'=>5,
    'Daily Recruits Goal'=>11,
    'Daily License Totals'=>6,
    'Daily Recruits Totals'=>12,
    'Last Update'=>0,
    'Next Update'=>0,
    );
$sfCols=array(
    'US SF'=>17,
    'NY SF'=>18,
    'US SF Total'=>19,
    'CAN SF'=>20,
    'NA Total'=>21
    );
$statesCols=array(
    'Today Licenses'=>1,
    'MTD Licenses'=>2,
    'Today Recruits'=>3,
    'MTD Recruits'=>4
    );
$orderStates=array('CA','FL','GA','NV','PR','TX','VA','CAN');
function readCsv(){
    global $in,$otherCols,$out,$statesCols,$sfCols;
    $ret=array();
    $content=file_get_contents($in);
    $rows=explode("\n",$content);
    $i=0;
    foreach($rows as $row)
    {
        if ($i++==0) continue;
        $vals=explode(',',trim($row));
        if ($vals[0]=='Other')
        {
            foreach($otherCols as $key=>$val)
            {
                $ret[$key]=$vals[$val];
            }
            $ret['SF']=array();
            foreach($sfCols as $key=>$val)
            {
                $ret['SF'][$key]=$vals[$val];
            }
            break;
        }
        else
        {
            $state=explode(' ',$vals[0]);
            $state=$state[0];
            $ret[$state]=array();
            foreach($statesCols as $key=>$val)
            {
                $ret[$state][$key]=$vals[$val];
            }
        }
    }
    $ret['Last Update']=date('H:i:s');
    $ret['Next Update']='MOCK';
    print_r($ret);
    return $ret;
}
function writeCsv(){
    global $out,$hours;
    if (filesize($out)==0)
        file_put_contents($out,'RLC_Time_Temp,Run Time\r\n');
    $minutes=(explode('.',$hours));
    $minutes=count($minutes)==1?0:$minutes[1];
    $minutes=$hours[0].$minutes;
    $hours=explode('.',$hours);
    $hours=$hours[0];
    $date=date('H:i:s',strtotime("$hours hours $minutes minutes"));
    file_put_contents($out,"0,$date\r\n",FILE_APPEND);
}
$arr=readCsv();
writeCsv();
?>
<!doctype html>
<html>
<head>
    <title></title>
    <style>
        body {
            width: 100vw;
            height: 100vh;
            margin: 0;
            overflow: hidden;
        }

        img {
            width: 100%;
            height: 100%;
            position: absolute;
            z-index: -100;
            top: 0;
        }

        div.parent {
            display: block;
            float: left;
            margin-right: 0.78125vw;
            width: 24vw;
            padding: 0;
        }

        div.parent > div {
            text-align: right;
            padding-right: 1vw;
            font-family: Arial;
            font-weight: bold;
            color: black;
            font-size: 2vh;
        }

        .s {
            line-height: 4.6vh!important;
        }
        .p {
            /*margin-bottom: 1vh;*/
            line-height:4.5vh!important;
            color:white!important;
        }
        .sf{
            margin-right:0.78125vw;
            margin-top: -13.8vh;
            position: absolute;
            font-size: 1vw;
            line-height: 4.5vh;
            font-family: Arial;
            color: white;
            background: #298ae7;
            width: 98vw;
        }
        span{
            display: block;
            float: left;
            padding-left: 0.5vw;
            padding-right: 0.5vw;
        }
        span.d{
            width:13vw;
            display: inline;
        }
    </style>
</head>
<body>
    <img src="bg.jpg" />
    <div style="padding-left:0.78125vw;padding-top:14.8vh;">
        <div class="sf" style="">
            <span style="background: #319AFF;">SALES FORCE</span>
            <span class="d">US: <?php echo $arr['SF']['US SF'];?></span><span>|</span>
            <span class="d">NY: <?php echo $arr['SF']['NY SF'];?></span><span>|</span>
            <span class="d">US TOTAL: <?php echo $arr['SF']['US SF Total'];?></span><span>|</span>
            <span class="d">CAN: <?php echo $arr['SF']['CAN SF'];?></span><span>|</span>
            <span class="d">NA TOTAL: <?php echo $arr['SF']['NA Total'];?></span>
        </div>
        <?php $i=0;
        foreach($otherCols as $val=>$index) {   ?>
        <?php if ($i%2==0) { ?>
        <div class="parent">
            <?php } ?>
            <div class="s">
                <?php echo $arr[$val];?>
            </div>
            <?php if (++$i%2==0) { ?>
        </div>
        <?php } ?>
        <?php } ?>
    </div>
    <div style="padding-left:0.78125vw;padding-top:33.4vh;">
        <?php foreach($orderStates as $val) {   ?>
        <div class="parent" style="margin-bottom:15vh">
            <?php foreach($statesCols as $stateCol=>$index) { ?>
            <div class="p">
                <?php echo $arr[$val][$stateCol];?>
            </div>
            <?php } ?>
        </div>

        <?php } ?>
    </div>
</body>
</html>